/*******************************************************************************
Copyright © 2024 Sebastian Roith <https://www.roith-unterrichtet.de>

Licensed under CC BY 4.0. To view a copy of this license, visit http://creativecommons.org/licenses/by/4.0/
*******************************************************************************/

window.CODINGTASK = {
	"html": "<p>Wer auch immer das programmiert hat, versteht wohl wenig von Datentypen und konstanten Werten. Berichtige die Attributdeklarationen: Es muss jeweils der Datentyp und/oder wie der konstante Anfangswert angegeben ist berichtigt werden.</p><p>Berichtige Werte nur, wenn die Angabe in Java ungültig ist. Der Datentyp muss jeweils exakt dem Datentyp des angegebenen Anfangswertes entsprechen. Wenn es mehrere Möglichkeiten gibt, dann wähle den einfachsten Datentyp.</p>",
	"canReset": true,
	"code": "class VIELEATTRIBUTE {\n    int pi = 3.1415926535;\n    boolean e = 2,718;\n    char ja = true;\n    String hashtag = #;\n    int name = Mustermann;\n    boolean minusEins = -1;\n}",
	"fineSyntax": 1,
	"checkData": [
		{
			"name": "VIELEATTRIBUTE",
			"extends": "Object",
			"implements": [],
			"abstract": false,
			"final": false,
			"static": false,
			"content": [
				{
					"name": "pi",
					"type": "double",
					"dimensions": "0",
					"final": false,
					"static": false,
					"visibility": 2,
					"content": "3.1415926535",
					"part": "attribute"
				},
				{
					"name": "e",
					"type": "double",
					"dimensions": "0",
					"final": false,
					"static": false,
					"visibility": 2,
					"content": "2.718",
					"part": "attribute"
				},
				{
					"name": "ja",
					"type": "boolean",
					"dimensions": "0",
					"final": false,
					"static": false,
					"visibility": 2,
					"content": "true",
					"part": "attribute"
				},
				{
					"name": "hashtag",
					"type": "char",
					"dimensions": "0",
					"final": false,
					"static": false,
					"visibility": 2,
					"content": "'#'",
					"part": "attribute"
				},
				{
					"name": "name",
					"type": "String",
					"dimensions": "0",
					"final": false,
					"static": false,
					"visibility": 2,
					"content": "\"Mustermann\"",
					"part": "attribute"
				},
				{
					"name": "minusEins",
					"type": "int",
					"dimensions": "0",
					"final": false,
					"static": false,
					"visibility": 2,
					"content": "- 1",
					"part": "attribute"
				}
			],
			"part": "class"
		}
	]
}
